package com.cool.store.enums;

/**
 * @Author: young.yu
 * @Date: 2023-06-13  20:22
 * @Description: 面试状态枚举
 */
public enum InteviewStatusEnum {
    WAIT_APPOINTMENT(0, "待预约"),

    WAIT_APPOINTMENT_TIME_CONFIRM(1, "面试时间待审核"),
    WAIT_INTERVIEW(2, "待面试"),
    INTERVIEWING(3, "已开始"),
    WAIT_AUDIT(4, "待审核"),
    AUDITING(5, "审批中"),
    AUDIT_PASS(6, "审批通过"),
    REFUSE(7, "拒绝");

    private Integer code;

    private String message;

    InteviewStatusEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
